
package bg.unisofia.fmi.grosd.ns.classloader;

import java.net.URL;
import java.net.URLClassLoader;


/**
 * Custom Node Service classloader used for loading customer classes from .class or .jar files, required for task execution.
 *@author Shenol Yousouf
 */
public class NodeServiceClassLoader extends URLClassLoader {

  public NodeServiceClassLoader(URL[] urls) {
    super(urls);
  }

  /* (non-Javadoc)
   * @see java.net.URLClassLoader#addURL(java.net.URL)
   */
  public synchronized void addURL(URL url) {
    super.addURL(url);
  }  
}
